Bug 114374 - 3 * used before set
3 * used before set
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Guppi (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-27 07:33 EST by d.binderman
Modified: 2014-03-16 22:41 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.40.3-22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-21 17:51:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2004-01-27 07:33:50 EST
Description of problem:

I just tried to compile package Guppi-0.40.3-16 from Redhat
Fedora Core 1.

The compiler said

1.

guppi-curve-poly.c(174): remark #592: variable "cp" is used before its
value is set

The source code is

  GuppiCurvePoly *cp = GUPPI_CURVE_POLY (cp);

This code might benefit from rework.

2.

guppi-view-interval.c(419): remark #592: variable "a" is used before
its value is set
guppi-view-interval.c(419): remark #592: variable "b" is used before
its value is set

The source code is

  double a, b;

  g_return_if_fail (GUPPI_IS_VIEW_INTERVAL (v));

  if (dx != 0  && v->min <= a + dx && b + dx <= v->max) {

Clearly broken code.

3.

guppi-scatter-view.c(127): remark #592: variable "i0" is used before
its value is set
guppi-scatter-view.c(127): remark #592: variable "i1" is used before
its value is set

The source code is

    for (i = i0; i <= i1; ++i) {

More clearly broken code. Is this untested work in progress ?


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 David Binderman 2004-11-19 04:47:20 EST
I can confirm that these problems still exist in Core 3,
some ten months later.
Comment 2 Bill Nottingham 2005-01-21 17:51:15 EST
Fixed in -22.

Note You need to log in before you can comment on or make changes to this bug.